import 'package:flutter_test/flutter_test.dart';
import 'package:rec_api_dart/src/entities/qualifications/qualification.ent.dart';

void main() {
  test('Qualification.fromJson works with basic data', () async {
    final qualification = Qualification.fromJson({
      'value': true,
      'status': Qualification.STATUS_PENDING,
      'badge': {
        'name': 'test',
        'name_es': 'test',
        'name_ca': 'test',
        'description': 'test',
        'description_es': 'test',
        'description_ca': 'test',
        'enabled': false,
        'image_url': 'test',
      },
    });

    expect(qualification.value, true);
    expect(qualification.status, Qualification.STATUS_PENDING);
    expect(qualification.badge.name, 'test');
  });
}
